package cn.wisenergy.mapper;

import cn.wisenergy.model.app.ProgressPrize;
import cn.wisenergy.model.vo.ProgressPrizeVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * @author 86187
 */
public interface ProgressPrizeMapper extends BaseMapper<ProgressPrize> {

    int add(ProgressPrize progressPrize);

    int edit(ProgressPrize progressPrize);

    int delById(@Param("id") Integer id);

    /**
     * 根据 年月 获取月的最大进步奖用户列表
     *
     * @param yearMonth 年月
     * @return 最大进步奖用户列表
     */
    List<ProgressPrize> getByYearMonth(@Param("yearMonth") String yearMonth);


    /**
     * 获取本月月的最大进步奖用户列表 倒序 增长率相等的，按注册时间倒序
     *
     * @param yearMonth 年月
     * @return 最大进步奖用户列表
     */
    List<ProgressPrizeVo> getByTime(@Param("yearMonth") String yearMonth);
}
